AC_INIT(configure.in)
AM_INIT_AUTOMAKE(quest,0.2.0)

AC_PROG_CC

SDL_VERSION=1.2.0
AM_PATH_SDL($SDL_VERSION,:,
            AC_MSG_ERROR(sdl version $SDL_VERSION not found!))
GLIB_VERSION=1.2.0
AM_PATH_GLIB($GLIB_VERSION,,
             AC_MSG_ERROR(glib version $GLIB_VERSION not found!),)

CFLAGS="$CFLAGS $SDL_CFLAGS $GLIB_CFLAGS"
LIBS="$LIBS $SDL_LIBS $GLIB_CFLAGS"

AC_OUTPUT([Makefile src/Makefile])